Bug 126407 - CAN-2004-0075 Vicam USB user/kernel copying
Summary: CAN-2004-0075 Vicam USB user/kernel copying
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-21 09:53 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 20:17:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candidate #1 (704 bytes, patch)
2005-02-03 20:54 UTC, Pete Zaitcev
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:293 high SHIPPED_LIVE Important: kernel security update 2005-04-22 04:00:00 UTC
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description Mark J. Cox 2004-06-21 09:53:15 UTC
"The Vicam USB driver does not use the copy_from_user function when
copying data from userspace to kernel space, which crosses security
boundaries and allows local users to cause a denial of service."

(Note for RHEL3 this driver is in unsupported)

patches and details at:
http://marc.theaimsgroup.com/?l=linux-kernel&m=108197561914277 and
http://marc.theaimsgroup.com/?l=linux-kernel&m=108202386509206

Comment 1 Ernie Petrides 2004-06-21 23:55:51 UTC
Pete, since this driver is unsupported in RHEL3, fixing this problem
is not justified in a security errata or in U3.  But I'd like to get
a fix in during U4, since the patches are available and simple.


Comment 2 Pete Zaitcev 2005-02-03 20:48:30 UTC
The second patch is not applicable, we have that hole plugged already.


Comment 3 Pete Zaitcev 2005-02-03 20:54:31 UTC
Created attachment 110621 [details]
Candidate #1

Comment 4 Ernie Petrides 2005-02-10 03:34:03 UTC
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.12.EL).


Comment 5 Ernie Petrides 2005-04-14 00:12:32 UTC
A fix for this problem has also been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.3.EL).


Comment 6 Josh Bressers 2005-04-22 20:17:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-293.html


Comment 7 Tim Powers 2005-05-18 13:27:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.